2019-08-22 23:34 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006227Spring engineGeneralpublic2019-05-30 17:29
ReporterForboding Angel 
Assigned ToKloot 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006227: PlaySoundFile() refuses to play ogg files (Cannot "find" them)
DescriptionDetailed in this thread:
https://springrts.com/phpbb/viewtopic.php?f=23&t=39552

Here is an example of what happens:
https://i.imgur.com/bFfvYCr.png
Spring.PlaySoundFile("LuaUI/Sounds/ambient/ambient.ogg", 1.0, 'ui')
https://i.imgur.com/MtALgSu.png

I would attach the images here but they are tiny and without context don't make sense right at first.

I tried with both mono and stereo ogg. Mono and stereo wav plays just fine.
Steps To ReproduceGrab this widget:
https://github.com/EvolutionRTS/Evolution-RTS/blob/master/LuaUI/Widgets_Evo/gui_ambientSoundPlayer.lua

And try to feed an ogg file to it.
TagsNo tags attached.
Checked infolog.txt for lua ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2019-05-26 07:12 Forboding Angel New Issue
2019-05-30 17:29 Kloot Assigned To => Kloot
2019-05-30 17:29 Kloot Status new => resolved
2019-05-30 17:29 Kloot Resolution open => fixed
2019-05-30 17:29 Kloot Fixed in Version => 104.0 +git
+Issue History